<html>
<?php
$settings = LSP_LegalSuitePro::instance()->settings;
$my_templates = array();
foreach(LSP_Template::get_templates() as $template => $name){
    if($settings->$template){
        $my_templates[] = array(
            'template' => $template,
            'name' => $name
        );
    }
}
?>
<head>
    <title>Legal Information</title>
</head>
<body>
    <style>
        body{
            max-width:600px;
            margin: auto;
        }
        h2{
            margin-top: 50px;
        }
    </style>
    <script>
        (function(){
            try {
                var url = location.href.replace(/\?.*/,'');
                window.history.replaceState('object', document.title, url);
            } catch (e) {
            }
        })();

    </script>
    <h1>Legal Information</h1>
    <h2>Table Of Contents</h2>
    <ol>
        <?php foreach( $my_templates as $template ): ?>
            <li><a href="#<?php echo esc_attr($template['template']); ?>"><?php echo esc_html($template['name']); ?></a></li>
        <?php endforeach; ?>
    </ol>

    <?php foreach( $my_templates as $template ): ?>
        <h2 id="<?php echo esc_attr($template['template']); ?>"><?php echo esc_html($template['name']); ?></h2>
        <?php echo LSP_Template::render($template['template']); ?>
    <?php endforeach; ?>

</body>
</html>