<?php

/**
 * Section config code has come from options_config.php file. If face any problem
 * in wordpress, Just Replace this bellow code to options_config.php file,
 * where including section_config.php file . Probable line number: 281
 * 
 * @author Saiful Islam <codersaiful@gmail.com>
 * 
 * @package Redux
 * 
 * @since version 1.0
 * 
 * @link http://fb.com/codersaiful Saiful Islam Facebook Profile link.
 */


//Basic for All Page

Redux::setSection($opt_name, array(
    'title'     =>  __('Basic Layout', 'redux-framework-demo'),
    'id'        =>  'basic',
    'desc'      =>  'Customize the basic settings of your site. These are for the Blog Posts and Pages you set to the “Default” template. <br><h3>Quick Page Links: <a target="_blank" href="'.$codersaiful['home_page_link'].'">Home</a> |  <a target="_blank" href="'.$codersaiful['thank_you_page_link'].'">Thank You</a> | <a target="_blank" href="'.$codersaiful['news_page_link'].'">Blog</a></h4>',
    //'desc'      =>  'Customize your the basic settings like your logo, favicon, etc. These settings are for the Blog posts and pages you set to the “Default” template. <br><h3>Quick Pages Link: <a target="_blank" href="'.$codersaiful['home_page_link'].'">Home</a> |  <a target="_blank" href="'.$codersaiful['thank_you_page_link'].'">Thank You</a> | <a target="_blank" href="'.$codersaiful['news_page_link'].'">News</a></h4>',
    //'subsection'=>  true,
    'customizer_width' => '400px',
    'icon' => 'el el-wrench',
    'fields'    =>  array(
        array(
            'id' => 'header_favicon',
            'type' => 'media',
            'title' => __('Site Favicon', 'redux-framework-demo'),
            'desc' => __('Choose your Favicon and upload. Size should be 16 x 16.', 'redux-framework-demo'),
            'subtitle' => __('Upload favicon.', 'redux-framework-demo'),
            'default' => array('url' => $codersaiful['favicon']),
        ),
        
        array(
            'id' => 'header_logo',
            'type' => 'media',
            'title' => __('Site Logo', 'redux-framework-demo'),
            'desc' => __('Choose your logo and upload it here. Logo size should be: 400 x 50 px. Minimum size: 200 x 25', 'redux-framework-demo'),
            'subtitle' => __('Upload logo.', 'redux-framework-demo'),
            'default' => array('url' => $codersaiful['logo']),
        ),
        
        /************* Social Media Removing
        array(
            'id'    =>  'home_footer_social',
            'type'  =>  'switch',
            'title' =>  'Social Media Links',
            //'subtitle'  =>  'Home Page',
            'desc'      =>  'To add Social Media link click enable. Once enabled you can enter your links',
            'default'   =>  false,
            'on'    =>  'Enable',
            'off'   =>  'Disable',
        ),
        
        array(
            'id'        =>  'social_facebook',
            'type'      => 'text',
            'title'     =>  'Facebook',
            'placeholder'=> 'Facebook Profile. eg: https://facebook.com/zuck',
            'required'  =>  array('home_footer_social','=','1'),
            'validate' => 'url',
            'default'   =>  null,
        ),
        
        array(
            'id'        =>  'social_twitter',
            'type'      => 'text',
            'title'     =>  'Twitter',
            'placeholder'=> 'Twitter Profile. eg: https://twitter.com/google',
            'required'  =>  array('home_footer_social','=','1'),
            'validate' => 'url',
            'default'   =>  null,
        ),
        
        array(
            'id'        =>  'social_google',
            'type'      => 'text',
            'title'     =>  'Google+',
            'placeholder'=> 'Google+ Profile. eg: https://plus.google.com/+google',
            'required'  =>  array('home_footer_social','=','1'),
            'validate' => 'url',
            'default'   =>  null,
        ),
        //**************Social Media removing end here ********/
        
        
        /*
        array(
            'id'    =>  'thank_footer_social',
            'type'  =>  'switch',
            'title' =>  'Social Media Links',
            'subtitle'  =>  'Thank You Page',
            'desc'      =>  'This option shows or hides the Social Media links on the Thank You page.',
            'default'   =>  true,
            'on'    =>  'Show',
            'off'   =>  'Hide',
            
        ),
         * 
         */
        
        
        /************** Removing Social Media Section start *********
        array(
            'id'        =>  'company_name',
            'type'      =>  'text',
            'title'     =>  'Company Name Title',
            'subtitle'  =>  'Company Name Title for Right Sidebar',
            'desc'      =>  'Input you Company name. This name will show at Right sidebar of News,Page,Post page',
            'default'   =>  'About CompanyName',
        ),
        array(
            'id' => 'about_company',
            'type' => 'editor',
            'title' => __('Company Description', 'redux-framework-demo'),
            'subtitle'  =>  'About Company Description for Right Sidebar',
            'desc'      =>  'Input you Company Description. This description will show at Right sidebar of News,Page,Post page',
            
            'default' => $codersaiful['about_company'],
            //'default' => $codersaiful['promo_title'],
            'args' => array(
                'wpautop' => false,
                'media_buttons' => false,
                'textarea_rows' => 3,
                //'tabindex' => 1,
                //'editor_css' => '',
                'teeny' => true,
                //'tinymce' => array(),
                'quicktags' => true,
            )
        ),
        array(
            'id' => 'footer_text',
            'type' => 'editor',
            'title' => __('Copyright Text', 'redux-framework-demo'),
            'subtitle' => 'Customize your Copyright text for all page without Home/Front-Page',
            'desc'      =>  'Input you Copyright text for all page without Home/Front-Page',
            'default' => $codersaiful['copyright_text'],
            'args' => array(
                'wpautop' => false,
                'media_buttons' => false,
                'textarea_rows' => 3,
                //'tabindex' => 1,
                //'editor_css' => '',
                'teeny' => true,
                //'tinymce' => array(),
                'quicktags' => true,
            )
        ),
        //***********Removing About company Section ********/
    )
    
    
    
));


//End of Basic for all Page

// -> START Basic Fields




/**
 * Promostion Section
 */
Redux::setSection($opt_name, array(
    'title' => __('Optin Page', 'redux-framework-demo'),
    'id' => 'home_page',
    'desc' => __('Customize your optin page information here.', 'redux-framework-demo'),
    'customizer_width' => '400px',
    'icon' => 'el el-home',
    'fields' => array(
        array(
            'id' => 'header_title',
            'type' => 'editor',
            'title' => __('Optin Title', 'redux-framework-demo'),
            'subtitle' => 'Customize the Headline.',
            //'desc'      =>  'Input you header subtitle text for Front-Page',
            'default' => $codersaiful['header_title'],
            'args' => array(
                'wpautop' => false,
                'media_buttons' => true,
                'textarea_rows' => 5,
                //'tabindex' => 1,
                //'editor_css' => '',
                'teeny' => true,
                //'tinymce' => array(),
                'quicktags' => true,
            )
        ),
        array(
            'id'        =>  'header_sub_title',
            'type'      =>  'text',
            'title'     =>  'Optin Sub Title',
            'subtitle'  =>  'Customize the Sub-Headline',
            //'desc'      =>  'Input you header subtitle text for Front-Page',
            'default' => $codersaiful['header_sub_title'],
        ),
        array(
            'id' => 'promo_youtube',
            'title' => 'Optin Video or Image',
            'type' => 'textarea',
            'subtitle' => 'Add your video embed code or image HTML code.',
            'desc' => 'All type video\'s embed code supported',
            'default' => $codersaiful['youtube'], //'RbrS-rqndz0'
        ),
        array(
            'id' => 'promo_form_code',
            'type' => "textarea",
            'title' => __("Autoresponder Form Code", 'redux-framework-demo'),
            'subtitle'  =>  'Create your optin form, however you want it to look, with your autoresponder service and paste the embed code here.',
            'desc'      =>  'Default placeholder code is below. Please note that this code is NOT functional and will not work. You MUST use your own autoresponder.<hr><pre>' . htmlentities($codersaiful['promo_form_code']) . '</pre>',
            //'compiler' => 'true',
            //'subtitle' => __('Dummy Subtitle', 'redux-framework-demo'),
            'default'   =>  $codersaiful['promo_form_code'],
        ),
        array(
            'id' => 'home_footer_text',
            'type' => 'editor',
            'title' => __('Copyright Text', 'redux-framework-demo'),
            'subtitle' => 'Customize the Footer Text.<i>(This is for the Optin Page Only.)</i>',
            //'desc'      =>  'Input you Home Page Copyright text for footer.',
            'default' => $codersaiful['home_copyright_text'],
            'args' => array(
                'wpautop' => false,
                'media_buttons' => false,
                'textarea_rows' => 3,
                //'tabindex' => 1,
                //'editor_css' => '',
                'teeny' => true,
                //'tinymce' => array(),
                'quicktags' => true,
                
                
            )
        ),
    )
));

/**
 * Content Section
 */
Redux::setSection($opt_nameS, array(
    'title' => __('Content Section', 'redux-framework-demo'),
    'id' => 'content_section',
    //'desc' => 'Customize your header section.',
    'subsection' => true,
    'fields' => array(
        array(
            'id'        =>  'content_title',
            'type'      =>  'editor',
            'title'     =>  'Content Title',
            'subtitle'  =>  'This is your headline for the main content area.',
            //'desc'  =>  'Should not any tag to this Title field.Becausse this text is by default is a big/heading size text. Default Title:<hr><b>'. $codersaiful['content_title'] .'</b>',
            'default'   =>  $codersaiful['content_title'],
            'args' => array(
                'wpautop' => false,
                'media_buttons' => false,
                'textarea_rows' => 3,
                //'tabindex' => 1,
                //'editor_css' => '',
                'teeny' => true,
                //'tinymce' => array(),
                'quicktags' => true,
            )
        ),
        array(
            'id'        =>  'content_image',
            'type'      =>  'media',
            'title'     =>  'Content Image',
            'subtitle'  =>  'Upload your image file here. Usually an ebook cover or similar type image.',
            'desc'      =>  'Max width should be <b>350px</b>.',
            'default'   =>  array('url'=>$codersaiful['content_image']),
        ),
        array(
            'id' => 'content_content',
            'type' => 'editor',
            'title' => __('Description Content', 'redux-framework-demo'),
            'subtitle' => 'Enter the benefits and the value that your visitor will get when they optin for your lead magnet.',
            'default' => $codersaiful['content_content'],
            'args' => array(
                'wpautop' => false,
                'media_buttons' => false,
                'textarea_rows' => 19,
                //'tabindex' => 1,
                //'editor_css' => '',
                'teeny' => false,
                //'tinymce' => array(),
                'quicktags' => true,
            )
        ),
        
    )
));

/**
 * Botom Promotional Form code
 */
Redux::setSection($opt_nameS, array(
    'title'     =>  __('Optin - Bottom', 'redux-framework-demo'),
    'id'        =>  'b_promo_form',
    //'icon'      =>  'el el-home'
    'subsection'    =>  true,
    'fields'    => array(
        array(
            'id' => 'b_promo_form_code',
            'type' => "textarea",
            'title' => __("Autoresponder Form Code", 'redux-framework-demo'),
            'subtitle' =>   'Create your optin form with your autoresponder service and paste the embed code here. <br><span style="color: #0085ba;">IMPORTANT:</span> it’s best to use an ‘inline’ form for this section.',
            'desc'      =>  'Default placeholder code is below. Please note that this code is NOT functional and will not work. You MUST use your own autoresponder.<hr><pre>' . htmlentities($codersaiful['b_promo_form_code']) . '</pre>',
            
            'default'   =>  $codersaiful['b_promo_form_code'],
        )
    ),
));

/**
 * Footer Section of Home Page Section
 */
Redux::setSection($opt_nameS, array(
    'title'     =>  'Footer',
    'id'        =>  'footer_setting',
    'desc'      =>  'All of the footer area content can be changed here.',
    'subsection'=>  true,
    'fields'    => array(
        array(
            'id'        =>  'google_map',
            'type'      =>  'textarea',
            'title'     =>  'Map iFrame Code',
            'subtitle'  =>  'Add your map iframe or other code here.',
            'desc'      =>  'Default placeholder code is below. Please note that this code is NOT functional and will not work. You MUST use your own code.<hr><pre style="width: 100%;max-width: 600px;oferflow: auto;">'.  htmlentities($codersaiful['google_map']).'</pre>', //<hr>Take a help. <a target="_blank" href="'.$codersaiful['map_tuts'].'">Tuts Image</a>
            'default'   =>  $codersaiful['google_map'],
            
        ),
        array(
            'id'        =>  'address_title',
            'type'      =>  'text',
            'title'     =>  'Contact Us Title',
            'default'   =>  'Contact Us',
        ),
        array(
            'id'        =>  'address_text',
            'type'      =>  'editor',
            'title'     =>  'Full Address Text',
            'subtitle'  =>  'Add your contact information here.',
            'desc'  =>  'This information will show in the footer.',
            'default'   =>  $codersaiful['address_text'],
            'args' => array(
                'wpautop' => false,
                'media_buttons' => false,
                'textarea_rows' => 3,
                //'tabindex' => 1,
                //'editor_css' => '',
                'teeny' => true,
                //'tinymce' => array(),
                'quicktags' => true,
            )
        ),
        array(
            'id'        =>  'copyright_text',
            'type'      =>  'editor',
            'title'     =>  'Copyright Text',
            //'subtitle'  =>  'Add your own Address',
            'desc'  =>  'This information will show just above the menu at the bottom.',
            'default'   =>  $codersaiful['copyright_text'],
            'args' => array(
                'wpautop' => false,
                'media_buttons' => false,
                'textarea_rows' => 3,
                //'tabindex' => 1,
                //'editor_css' => '',
                'teeny' => true,
                //'tinymce' => array(),
                'quicktags' => true,
            )
        ),
    ),
));


/*

  Redux::setSection($opt_name, array(
  'id' => 'home_logos',
  'type' => 'media',
  'url' => true,
  'subsection' => true,
  'title' => __('Logo', 'redux-framework-demo'),
  'desc' => __('Chose your logo and upload. Logo size should:436x101 px min_size: 224x52 px', 'redux-framework-demo'),
  'subtitle' => __('Upload any media using the WordPress native uploader', 'redux-framework-demo'),
  'default' => array(
  'url' => get_template_directory_uri() . '/images/logo-placeholder.png',
  ),
  ));
 */

/**
 * Thank you page of Theme Options
 */
/******************* Thank You ****************
Redux::setSection($opt_name, array(
    'title' => __('Thank You', 'redux-framework-demo'),
    'id' => 'thank_you_page',
    'desc' => __('Customize your Thank you and set an Thankyou Page', 'redux-framework-demo'),
    'customizer_width' => '400px',
    'icon' => 'el el-thumbs-up'
));
//**********ThanYouPage main Title hidden end here*/
Redux::setSection($opt_name, array(
    'title'     =>  'Thank You Page',
    'id'        =>  'th_title',
    'desc'      =>  '<h2>Thank You Page Content</h2><p>Create your Thank You Page content here.</p>',
    'subsection'=>  false,
    'icon'      =>  'el el-thumbs-up',
    'fields'    =>  array(
        array(
            'id'        =>  'thank_title_1',
            'type'      =>  'text',
            'title'     =>  'Headline:',
            'default'   =>  'Thank You!',
        ),
        array(
            'id'        =>  'thank_title_2',
            'type'      =>  'text',
            'title'     =>  'Sub-headline:',
            'default'   =>  'Here Is Your Free Report',
        ),
        array(
            'id'        =>  'thank_you_page_content',
            'type'      =>  'editor',
            'title'     =>  'Page Content:',
            'default'   =>  $codersaiful['thank_you_page_content'],
            'args' => array(
                'wpautop' => false,
                'media_buttons' => true,
                'textarea_rows' => 20,
                //'tabindex' => 1,
                //'editor_css' => '',
                'teeny' => false,
                //'tinymce' => array(),
                'quicktags' => true,
            )
        ),
        
        
        /****************Than You section Old code ***********
        array(
            'id'        =>  'thank_step1_title',
            'type'      =>  'text',
            'title'     =>  'Step 1 Title',
            'default'   =>  'Download The Report',
        ),
        
        
        array(
            'id'        =>  'thank_step1_content',
            'type'      =>  'editor',
            'title'     =>  'Step 1 Content Text',
            'default'   =>  $codersaiful['thank_step1_content'],
            'args' => array(
                'wpautop' => false,
                'media_buttons' => false,
                'textarea_rows' => 2,
                //'tabindex' => 1,
                //'editor_css' => '',
                'teeny' => true,
                //'tinymce' => array(),
                'quicktags' => true,
            )
        ),
        array(
            'id'        => 'thank_step1_pdf',
            'type'      => 'media',
            'title'     => 'Step 1: PDF File Upload',
            'subtitle'  => 'Upload your pdf ile',
            'labels'    => array(
                'upload_file'       => __('Select File(s)', 'redux-framework-demo'),
                'remove_image'      => __('Remove Image', 'redux-framework-demo'),
                'remove_file'       => __('Remove', 'redux-framework-demo'),
                'file'              => __('File: ', 'redux-framework-demo'),
                'download'          => __('Download', 'redux-framework-demo'),
                'title'             => __('PDF Selector', 'redux-framework-demo'),
                'button'            => __('Add or Upload File','redux-framework-demo')
            ),
            'library_filter'  => array('pdf','docx','png','jpg'),
            'max_file_upload' => 1
        ),
        
        array(
            'id'        =>  'thank_step2_title',
            'type'      =>  'text',
            'title'     =>  'Step 2 Title',
            'default'   =>  'Call for your free, no obligation consultation.',
        ),
        
        
        array(
            'id'        =>  'thank_step2_content',
            'type'      =>  'editor',
            'title'     =>  'Step 2 Content Text',
            'default'   =>  $codersaiful['thank_step2_content'],
            'args' => array(
                'wpautop' => false,
                'media_buttons' => false,
                'textarea_rows' => 2,
                //'tabindex' => 1,
                //'editor_css' => '',
                'teeny' => true,
                //'tinymce' => array(),
                'quicktags' => true,
            )
        ),
        //******************ThankYOu page ocntent Edit old end here **********************/
    ),
));


// -> START Color Selection
    Redux::setSection( $opt_name, array(
        'title' => __( 'Color Options', 'redux-framework-demo' ),
        'id'    => 'color',
        'desc'  => __( 'Website Total Color Schema', 'redux-framework-demo' ),
        'icon'  => 'el el-brush'
    ) );
    
    
    Redux::setSection($opt_name, array(
            'title'      => __( 'Basic Layouts', 'redux-framework-demo' ),
            'id'         => 'basic_layouts',
            'desc'       => '<h2>Basic Layout Color Options</h2>Here is where you can change the colors of <b>Basic Layout</b>. Such: News Page, Blog Page, Archives Page, Details Page etc. Be sure to click the ‘Save Changes’ button when finished.',
            'subsection' => true,
            'fields'     => array(
                array(
                    'id'       => 'layout_basic_header_bg',
                    'type'     => 'color',
                    'output'   => array( 'div.header' ),
                    'title'    => __( 'Header Background', 'redux-framework-demo' ),
                    'default'  => '#0077b5',
                    'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                array(
                    'id'       => 'layout_basic_header_menu',
                    'type'     => 'color',
                    'output'   => array( '.main_menu>ul a' ),
                    'title'    => __( 'Header Menu Color', 'redux-framework-demo' ),
                    'default'  => '#fff',
                    //'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                array(
                    'id'       => 'layout_basic_header_menu_hover',
                    'type'     => 'color',
                    'output'   => array( '.main_menu>ul a:hover' ),
                    'title'    => __( 'Header Menu Hover Color', 'redux-framework-demo' ),
                    'default'  => '#fff',
                    //'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                
                array(
                    'id'       => 'layout_basic_header_menu_active',
                    'type'     => 'color',
                    'output'   => array( '.main_menu>ul li.current-menu-item a' ),
                    'title'    => __( 'Header Menu Active Color', 'redux-framework-demo' ),
                    'default'  => '#fff',
                    //'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                array(
                    'id'       => 'layout_basic_content_bg',
                    'type'     => 'color',
                    'output'   => array( 'div.conten_section' ),
                    'title'    => __( 'Content Area Background', 'redux-framework-demo' ),
                    'default'  => '#fff',
                    'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                array(
                    'id'       => 'layout_basic_sidebar_bg',
                    'type'     => 'color',
                    'output'   => array( 'div.col_3_1.sidebar_wrapper' ),
                    'title'    => __( 'Sidebar Background', 'redux-framework-demo' ),
                    'default'  => '#fff',
                    'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                /*
                array(
                    'id'       => 'layout_basic_about_company_t_bg',
                    'type'     => 'color',
                    'output'   => array( 'h3.about_company_title' ),
                    'title'    => __( 'About Company Title Background', 'redux-framework-demo' ),
                    'default'  => false,
                    'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                array(
                    'id'       => 'layout_basic_about_company_content_bg',
                    'type'     => 'color',
                    'output'   => array( 'div.about_company_content' ),
                    'title'    => __( 'About Company Box Background', 'redux-framework-demo' ),
                    'default'  => false,
                    'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                */
                array(
                    'id'       => 'layout_basic_footer_bg',
                    'type'     => 'color',
                    'output'   => array( 'div.footer' ),
                    'title'    => __( 'Footer Background', 'redux-framework-demo' ),
                    'default'  => '#0077b5',
                    'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                array(
                    'id'       => 'layout_basic_footer_widget',
                    'type'     => 'color',
                    'output'   => array( 'h2.footer_widget_title' ),
                    'title'    => __( 'Footer Widget Title', 'redux-framework-demo' ),
                    'default'  => '#fff',
                    //'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                
                array(
                    'id'       => 'layout_basic_footer_menu',
                    'type'     => 'color',
                    'output'   => array( 'ul.socket_menu.footer_menu a' ),
                    'title'    => __( 'Footer Menu', 'redux-framework-demo' ),
                    'default'  => '#fff',
                    //'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                
                
                array(
                    'id'       => 'layout_basic_footer_menu_hover',
                    'type'     => 'color',
                    'output'   => array( 'ul.socket_menu.footer_menu a:hover' ),
                    'title'    => __( 'Footer Menu Hover', 'redux-framework-demo' ),
                    'default'  => '#dedcdc',
                    //'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                
                array(
                    'id'       => 'layout_basic_footer_menu_active',
                    'type'     => 'color',
                    'output'   => array( 'ul.socket_menu.footer_menu li.current-menu-item a' ),
                    'title'    => __( 'Footer Menu Active', 'redux-framework-demo' ),
                    'default'  => '#dedcdc',
                    //'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                
                
             ),
        ));
    
    Redux::setSection( $opt_name, array(
            'title'      => __( ' Optin Page', 'redux-framework-demo' ),
            'id'         => 'home_color',
            'desc'       => '<h2>Front-Page Color Options</h2><p>Here is where you can change the colors of your optin page. Be sure to click the ‘Save Changes’ button when finished.</p>',
            'subsection' => true,
            'fields'     => array(
                /************ Total Background color removed*********
                array(
                    'id'       => 'home_box_background_color',
                    'type'     => 'color',
                    'output'   => array( 'div.wrapper.main_body.full_layout' ),
                    'title'    => __( 'Front-Page Background Color', 'redux-framework-demo' ),
                    'subtitle' =>   'Total Home/Front-Page Background',
                    //'desc'      =>  'This option is for the Box Layout only.',
                    'default'  => '#fff',
                    'mode'     => 'background-color',
                    'validate'  =>  'color'
                ),
                //*******************/
                array(
                    'id'       => 'home_header_background_color',
                    'type'     => 'color',
                    'output'   => array( 'div.wrapper.main_body.full_layout div.home_header' ),
                    'title'    => __( 'Header Background', 'redux-framework-demo' ),
                    'default'  => '#fff',
                    'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                array(
                    'id'       => 'home_optin_title_color',
                    'type'     => 'color',
                    'output'   => array( '.home_header_title h1.home_header_title_h1','.home_header_title, .home_header_title>p' ),
                    'title'    => __( 'Headline Color', 'redux-framework-demo' ),
                    'default'  => '#0077b5',
                    //'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                array(
                    'id'       => 'home_sub_title_color',
                    'type'     => 'color',
                    'output'   => array( '.home_header_title h1.home_header_title_h1 strong' ),
                    'title'    => __( 'Headline “Bold” Color', 'redux-framework-demo' ),
                    'default'  => '#dd5143',
                    //'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                
                array(
                    'id'       => 'home_option_marked_title_color',
                    'type'     => 'color',
                    'output'   => array( 'h1.home_header_subtitle_h1' ),
                    'title'    => __( 'Sub-Headline Color', 'redux-framework-demo' ),
                    'default'  => '#000',
                    //'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                
               
                array(
                    'id'       => 'home_promo_background_color',
                    'type'     => 'color',
                    'output'   => array( 'div.body_header.promotion' ),
                    'title'    => __( 'Promo Background', 'redux-framework-demo' ),
                    'default'  => '#3b8cce',
                    'mode'     => 'background-color',
                    'validate'  =>  'color'
                ),
                
                
                
                array(
                    'id'       => 'home_footer_background_color',
                    'type'     => 'color',
                    'output'   => array( 'div.home_footer' ),
                    'title'    => __( 'Footer Background', 'redux-framework-demo' ),
                    'default'  => '#fff',
                    'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                
                array(
                    'id'       => 'home_footer_copyright_color',
                    'type'     => 'color',
                    'output'   => array( 
                        '.home_footer .copyright_text',
                        '.home_footer .copyright_text p',
                    ),
                    'title'    => __( 'Copyright', 'redux-framework-demo' ),
                    'default'  => '#474747',
                    //'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                
                array(
                    'id'       => 'home_footer_link_color',
                    'type'     => 'color',
                    'output'   => array( '.home_footer .copyright_text p a' ),
                    'title'    => __( 'Footer Link in Copyright', 'redux-framework-demo' ),
                    'default'  => '#474747',
                    //'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                array(
                    'id'       => 'home_footer_link_hover_color',
                    'type'     => 'color',
                    'output'   => array( '.home_footer .copyright_text p a:hover' ),
                    'title'    => __( 'Footer Link Hover', 'redux-framework-demo' ),
                    'default'  => '#353535',
                    //'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                array(
                    'id'       => 'home_footer_menu_link_color',
                    'type'     => 'color',
                    'output'   => array( 'body.home .footer_socket_menu.socket_menu_wrapper ul.footer_menu li a' ),
                    'title'    => __( 'Footer Menu Link', 'redux-framework-demo' ),
                    'default'  => '#666666',
                    //'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                
                //.home_footer_socket_menu.socket_menu_wrapper a:hover, .home_footer_socket_menu.socket_menu_wrapper li.active_menu a
                array(
                    'id'       => 'home_footer_menu_link_hover_color',
                    'type'     => 'color',
                    'output'   => array( 
                        'body.home .footer_socket_menu.socket_menu_wrapper ul.footer_menu li a:hover',
                        'body.home .footer_socket_menu.socket_menu_wrapper ul.footer_menu li.current-menu-item a' ),
                    'title'    => __( 'Footer Menu Link Hover & Active', 'redux-framework-demo' ),
                    'default'  => '#404040',
                    //'mode'     => 'background',
                    'validate'  =>  'color'
                ),
            ),
        ) );
    
    Redux::setSection($opt_name, array(
            'title'      => __( 'Thank You Page', 'redux-framework-demo' ),
            'id'         => 'thank_color',
            'desc'       => '<h2>Thank You Page Color Options</h2>Here is where you can change the colors of your Thank You page. Be sure to click the ‘Save Changes’ button when finished.',
            'subsection' => true,
            'fields'     => array(
                array(
                    'id'       => 'thankss_background_color',
                    'type'     => 'color',
                    'output'   => array( 'body.thankyou' ),
                    'title'    => __( 'Page Background Color', 'redux-framework-demo' ),
                    'default'  => '#3b8cce',
                    'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                array(
                    'id'       => 'thankss_text_color',
                    'type'     => 'color',
                    'output'   => array( 'body.thankyou h1','body.thankyou h3' ),
                    'title'    => __( 'Title Text Color', 'redux-framework-demo' ),
                    'default'  => '#000000',
                    //'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                
                array(
                    'id'       => 'thankss_normal_text_color',
                    'type'     => 'color',
                    'output'   => array( '.thankyou_content div p','.thankyou_content div' ),
                    'title'    => __( 'Normal Text Color', 'redux-framework-demo' ),
                    'default'  => '#222',
                    //'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                array(
                    'id'       => 'thankss_box_background_color',
                    'type'     => 'color',
                    'output'   => array( '.wrapper.thank_wrapper','.wrapper.wrapper_404' ),
                    'title'    => __( 'Box Background Color', 'redux-framework-demo' ),
                    'default'  => '#fff',
                    'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                array(
                    'id'       => 'thankss_box_border_color',
                    'type'     => 'color',
                    'output'   => array( '.wrapper.thank_wrapper','.wrapper.wrapper_404' ),
                    'title'    => __( 'Box Border Color', 'redux-framework-demo' ),
                    'default'  => '#b5b5b5',
                    'mode'     => 'border-color',
                    'validate'  =>  'color'
                ),
                
                /*
                array(
                    'id'       => 'thank_you_copyright_text_color',
                    'type'     => 'color',
                    'output'   => array( '.col.thank_you_copyright','.col.thank_you_copyright>p' ),
                    'title'    => __( 'Copyright Text Color', 'redux-framework-demo' ),
                    'default'  => false,
                    //'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                array(
                    'id'       => 'thank_you_copyright_link_color',
                    'type'     => 'color',
                    'output'   => array( '.col.thank_you_copyright a','.col.thank_you_copyright>p>a' ),
                    'title'    => __( 'Copyright Link Color', 'redux-framework-demo' ),
                    'default'  => false,
                    //'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                
                array(
                    'id'       => 'thank_you_copyright_link_color_hover',
                    'type'     => 'color',
                    'output'   => array( '.col.thank_you_copyright a:hover' ),
                    'title'    => __( 'Copyright Link Hover Color', 'redux-framework-demo' ),
                    'default'  => false,
                    //'mode'     => 'background',
                    'validate'  =>  'color'
                ),
                */
                
             ),
        ));
    
    // End of Color Customization
/*********************** Page Edit *****************    
// -> START Page Edit Section
Redux::setSection($opt_name, array(
    'title'         =>  'Page Edit',
    'id'            =>  'page',
    'desc'          =>  'All Page Customization possible by here',
    'icon'          =>  'el el-font'
));
$thank_you_page_id = array();
$thank_you_page_id[] = (int) get_option('thank_you_page_id');

$all_page_id_array = get_option('set_default_option_for_menu_manipulation');

if( isset($all_page_id_array) && !empty($all_page_id_array)){
    //$all_page_id_array = array_merge($thank_you_page_id,$rest_page_id_array);
    foreach($all_page_id_array as $page_id){
        $current_you_page = get_post($page_id);


        $your_page_section_arr = array(
            'title'     =>  $current_you_page->post_title,
            'desc'      =>  'Customize your page from bellow form and <a target="_blank" href="'.get_the_permalink($page_id).'">View Live Page</a>',
            //'desc'      =>  'Customize your page from here. <a target="_blank" href="'.get_the_permalink($page_id).'">View Page</a>',

            'id'        =>  'page_section_' . $page_id,
            'subsection'=>  true,
            'fields'    => array(
                array(
                    'id' => 'page_fields_' . $page_id,
                    'type' => 'editor',
                    'full_width' => true,
                    'default' => $current_you_page->post_content,
                    'args' => array(
                        'teeny' => false,
                        'textarea_rows' => 33,
                    )
                )
            ),
        );
        Redux::setSection($opt_name, $your_page_section_arr);
    }
}
// End of Page page edit
//******************Page Edit end_section**********************/