<?php

/**
 * Default Footer file
 * Project is coded by Saiful Islam.
 * 
 * @author Saiful Islam <codersaiful@gmail.com>
 * 
 * @package LGS Optin Theme
 * 
 * @link http://fb.com/codersaiful Saiful Islam Facebook Profile link.
 */

global $theme_options;

?>

            <!-- Footer Start here -->
            <div class="col clear padding_20_top_bottom footer">
                <div class="clear container padding_20_top_bottom footer_inside">

                    <div class="col_3 footer_widget_wrapper footer_widget_no_1">
                        <div class="col footer_widget_inside">
                            <?php dynamic_sidebar('footer_left_area'); ?>
                            
                        </div>
                    </div> <!-- end /.footer_widget_wrapper -->


                    <div class="col_3 footer_widget_wrapper footer_widget_no_2 footer_latest_news">
                        <div class="col footer_widget_inside">
                            <?php dynamic_sidebar('footer_middle_area'); ?>
                            
                        </div>
                    </div> <!-- end /.footer_widget_wrapper -->



                    <div class="col_3 footer_widget_wrapper footer_widget_no_2 footer_latest_news">
                        <div class="col footer_widget_inside">
                            
                            <?php dynamic_sidebar('footer_right_area'); ?>
                            <!-- 
                            <div class="footer_widget_single share_link">
                                <h2 class="footer_widget_title">Share Us on Social Media</h2>
                                <div class="footer_widget_content">
                                    <ul class="social_share">
                                        <li class="social_icon facebook"><a target="_blank" href="https://www.facebook.com/sharer/sharer.php?u=<?php echo urlencode( get_the_permalink() ); ?>"><img src="<?php echo get_template_directory_uri();?>/images/facebook.png">Facebook</a></li>
                                        <li class="social_icon twitter"><a target="_blank" href="https://twitter.com/home?status=Share <?php echo urlencode( get_the_permalink() ); ?>"><img src="<?php echo get_template_directory_uri();?>/images/twitter.png">Twitter</a></li>
                                        <li class="social_icon google"><a target="_blank" href="https://plus.google.com/share?url=<?php echo urlencode( get_the_permalink() ); ?>"><img src="<?php echo get_template_directory_uri();?>/images/google.png">Google+</a></li>
                                        
                                    </ul>
                                </div>
                            </div>
                            
                            <?php if( $theme_options['home_footer_social'] ): ?>
                            <div class="footer_widget_single find_us_social_media">
                                <h2 class="footer_widget_title">Find on Social Media</h2>
                                <div class="footer_widget_content">
                                    <ul class="social_share">
                                        <?php 
                                        
                                            $available_social = array('facebook','twitter','google');

                                            foreach($available_social as $social){
                                                $theme_options_id_full = 'social_' . $social;
                                                if( isset($theme_options[$theme_options_id_full]) && !empty( $theme_options[$theme_options_id_full] ) ){
                                         ?>
                                                <li class="social_icon <?php echo $social; ?>"><a target="_blank" href="<?php echo $theme_options[$theme_options_id_full]; ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/<?php echo $social; ?>.png"><?php echo ucfirst($social); ?></a></li>
                                         <?php
                                                }
                                          }
                                         
                                        ?>
                                    </ul>
                                </div>
                            </div>
                            <?php endif; ?>
                            -->
                            
                        </div>
                    </div> <!-- end /.footer_widget_wrapper -->




                </div> <!-- End /.footer_inside -->
                <div class="col footer_divider"></div>
                <!-- footer Socket -->
                <div class="clear container padding_20_top_bottom footer_inside footer_socket">
                    <div class="copyright_text col-4 text_center">
                        <?php echo $theme_options['footer_text']; ?>
                    </div>
                    
                    <?php
                    //*************Menu Section start here********************
                    $location = 'footer';
                    if (has_nav_menu($location)) {
                        $args = array(
                            'location' => $location,
                            'container_class' => 'col footer_socket_menu socket_menu_wrapper',
                            'menu_class' => 'socket_menu footer_menu',
                            'container' => 'div',
                            'menu' => ''
                        );
                        wp_nav_menu($args);
                    }else{
                        if(is_user_logged_in() ){
                            echo '<p class="text_center add_menu"><a href="' . get_admin_url() . 'nav-menus.php">Add Menu</a></p>';
                        }
                    }
                     //*****************Menu Section end**/
                    ?>
                                       
                    
                    

                </div>


            </div> <!-- End /.footer -->





        </div> <!-- end wrapper /.wrapper.main_body.full_layout -->
        
        <?php wp_footer(); ?>
    </body>
</html>