<?php

/**
 * Header Main file. With menu for.
 * This is default header.php file
 * Project is coded by Saiful Islam.
 * 
 * @author Saiful Islam <codersaiful@gmail.com>
 * 
 * @package Saiful Script
 * 
 * @link http://fb.com/codersaiful Saiful Islam Facebook Profile link.
 */
global $theme_options;
get_template_part( 'includes/head' );
?>

    <body <?php body_class(); ?>>

        <!--  Start Wrapper wrapper main_body full_layout -->
        <div class="wrapper main_body full_layout page post">

            <!-- Header Star -->
            <div class="col clear header">
                <div class="clear container header_inside">
                    <div class="col-1  padding_10 logo_wrapper text_center_mobile">
                        <a href="<?php echo home_url(); ?>">
                            <?php if( $theme_options['header_logo']['url'] ): ?>
                            <img src="<?php echo $theme_options['header_logo']['url']; ?>">
                            <?php      
                            else:    
                                echo '<h2>Your Custom Logo</h2>';
                            endif; ?>
                            
                       </a>
                    </div>
                    <div class="col-3 padding_10 main_menu_wrapper text_center_mobile">
                            <?php
                    //*************Menu Section start here********************
                    $location = 'primary';
                    if (has_nav_menu($location)) {
                        $args = array(
                            'location' => $location,
                            'container_class' => 'main_menu',
                            'menu_class' => 'menu_ul',
                            'container' => 'div',
                            //'menu' => ''
                        );
                        wp_nav_menu($args);
                    }else{
                        if(is_user_logged_in() ){
                            echo '<p class="text_right"><a href="' . get_admin_url() . 'nav-menus.php">Add Menu</a></p>';
                        }
                    }
                     //*****************Menu Section end**/
                    ?>
                        
                        
                    </div>
                </div><!-- End /.header_inside -->
            </div> <!-- End /.header -->
