<?php

/**
 * Details Page template for page.ph and single.php
 * Actually same design bor both, that's why, I made a details file for both
 * Project is coded by Saiful Islam.
 * 
 * @author Saiful Islam <codersaiful@gmail.com>
 * 
 * @package Saiful Script
 * 
 * @link http://fb.com/codersaiful Saiful Islam Facebook Profile link.
 */

global $theme_options; //For Theme Options of Redux

get_header();
?>
<!-- Start Content -->
<div class="col clear conten_section">
    <div class="clear container conten_section_inside padding_15_top_bottom">
        <div class="col_3_2 content_wrapper">
            <div class="content_wrapper_inside">
                <div class="col clear content artcle">
                    <?php if( have_posts() ):while( have_posts() ): the_post(); ?>
                    <h1 class="post_title page_title content_title"><?php the_title(); ?></h1>
                    <!-- Disable
                    <p class="author_info info">Written by <?php the_author(); ?> on <?php the_date(); ?></p>
                    -->
                    <div class="col content_text">
                        <?php
                        if(has_post_thumbnail()){
                            the_post_thumbnail('large');
                        }
                        ?>
                        <?php the_content(); ?>
                    </div>
                    <?php endwhile; else:
                        echo '<h2>Ther is no post.</h2>';
                    endif;
                    ?>
                </div><!-- End /.content -->
            </div>
        </div><!-- End /.content_wrapper -->

        <!-- Sidebar here -->
        <?php
        /**
         * Sidebar including here by get_sidebar();
         * 
         * @since 1.0
         * 
         * @author Saiful Islam<codersaiful@gmail.com>
         */
        get_sidebar();
        ?>


    </div><!-- End /.conten_section_inside -->
</div><!-- End /.conten_section -->


<?php get_footer(); ?>