<?php

/**
 * Widget for Recent post in for Any widget
 * 
 * @author Saiful Islam <codersaiful@gmail.com>
 * @package LGS Optin Theme
 * 
 * @link http://fb.com/codersaiful Saiful Islam Facebook Profile link.
 */

/**
 * Widger class
 * No default parameter setting here
 * 
 * @since 1.0
 * @author Saiful
 * 
 * @package LGS Option Theme
 */
class LGS_Recent_Post extends WP_Widget{
    
    public function __construct() {
          $widget_options = array( 
            'classname'     =>  'saiful_islam',
            'description'   =>  'LGS Optin default recent post displaying based on new style',
          );
          parent::__construct( 'lgs_recent', 'LGS Recent sample', $widget_options );
    }
    
    public function widget($args,$instance) {
        
        $title = apply_filters( 'widget_title', $instance[ 'title' ] );
        if( empty($title) ){
            $title = 'In The News';
        }

        echo $args['before_widget'] . $args['before_title'] . $title . $args['after_title'];
?>
<ul class="features_list">
    <li><b>Awesome Feature</b> - Super Cool Thing #1</li>
    <li><b>Even Cooler Feature</b> -  Amazing Thing #2</li>
    <li><b>And So Much More...</b></li>
</ul>   
<?php echo $args['after_widget'];
    }
    
    public function form($instance) {
          $title = ! empty( $instance['title'] ) ? $instance['title'] : ''; ?>
        <p>
            <label for="<?php echo $this->get_field_id( 'title' ); ?>">Title:</label>
          <input type="text" id="<?php echo $this->get_field_id( 'title' ); ?>" name="<?php echo $this->get_field_name( 'title' ); ?>" value="<?php echo esc_attr( $title ); ?>" />
        </p>
<?php 
    }
    
    public function update( $new_instance, $old_instance ) {
        $instance = $old_instance;
        $instance[ 'title' ] = strip_tags( $new_instance[ 'title' ] );
        return $instance;
    }
}



/**
class LGS_Recent_Post extends WP_Widget{
    
    public function __construct() {
        $widget_options = array(
            'classname'     =>  'features_list',
            'description'   =>  'LGS Optin default recent post displaying based on new style',
        );
        parent::__construct('lgs_recent', 'LGS Recent',$widget_options);
    }
    
    public function widget($args,$instance) {
        
        $title = apply_filters( 'widget_title', $instance[ 'title' ] );
        $content = <<<EOF
<ul class="features_list">
    <li><b>Awesome Feature</b> - Super Cool Thing #1</li>
    <li><b>Even Cooler Feature</b> -  Amazing Thing #2</li>
    <li><b>And So Much More...</b></li>
</ul>                    
   
EOF;
        //echo '<h2>Testing from Widget</h2>';
        
        
        echo $args['before_widget'];
        echo $args['before_title'];
        echo $title;
        echo $args['after_title'];
        echo $content;
        echo $args['after_widget'];

    }
    
    public function form($instance) {
        $title = (empty( $instance['title']) ? 'In The News' : $instance['title'] );
        ?>
<p>
    <label for="<?php echo $this->get_field_id( 'title' ); ?>">Title</label><br>
    <input style="width: 100%;" id="<?php echo $this->get_field_id( 'title' ); ?>" value="<?php echo $title; ?>" name="<?php echo $this->get_field_name('name'); ?>">
</p>
<?php
    }
    
    public function update($new_instance, $old_instance) {
        $instance = $old_instance;
        $instance[ 'title' ] = strip_tags( $new_instance[ 'title' ] );
        
        return $instance;
    }
}
 */