<?php

/**
 * Template Name: Front-Page
 * Project is coded by Saiful Islam.
 * 
 * @author Saiful Islam <codersaiful@gmail.com>
 * 
 * @package LGS Optin Theme
 * @since 1.0
 * 
 * @link http://fb.com/codersaiful Saiful Islam Facebook Profile link.
 */

global $theme_options; 

get_header( 'blank' );
?>
    <!--  Start Wrapper wrapper main_body full_layout -->
        <div class="wrapper main_body full_layout">
            <!-- Home Header Start -->
            <div class="col clear home_header padding_15_top_bottom">
                <div class="clear container home_header_inside">
                    <div class="col clear padding_15_top_bottom home_header_title">
                        <h1 class="home_header_title_h1">
                            <?php echo $theme_options['header_title']; ?>
                        </h1>
                    </div>

                    <div class="col clear padding_bottom_15 home_header_subtitle">
                        <h1 class="text_center home_header_subtitle_h1"><?php echo $theme_options['header_sub_title']; ?></h1>
                    </div>

                </div>
            </div> <!-- /.home_header -->


            <!-- start .body_header .promotion -->
            <div class="col clear padding_40_top_bottom body_header promotion">
                <div class="clear container body_header_inside">

                    <div class="col-4 padding_30_top_bottom promotion_body">
                        <div class="promotion_body_inside row padding_10">
                            <div class="col-3 youtube_wrapper">
                                <div class="col clear fix youtube">
                                    <?php echo $theme_options['promo_youtube']; ?>
                                    <!-- "560" height="315"
                                    <iframe width="640" height="360" src="https://www.youtube.com/embed/Qpfgg7CHw7s" frameborder="0" allowfullscreen=""></iframe>-->                        
                                </div>
                            </div>
                            <div class="col-1 promotion_right_forms">
                                <div class="col padding_10 row clear">
                                    <?php echo $theme_options['promo_form_code']; ?>
                                </div>
                            </div>
                        </div> <!-- /.promotion_body_inside -->
                    </div> <!-- /.promotion_body -->
                </div> <!-- /.body_header_inside -->
            </div> <!-- /.body_header.promotion -->


            <!-- Start Footer -->
            <div class="col clear home_footer padding_50_top_bottom">
                <div class="clear container padding_40_top_bottom home_footer_inside">
                    <div class="copyright_text col-4 text_center">
                        <?php echo $theme_options['home_footer_text']; ?>
                    </div>

                    <div class="col home_footer_socket_menu socket_menu_wrapper">

                        
                        <?php
                    //*************Menu Section start here********************
                    $location = 'footer';
                    if (has_nav_menu($location)) {
                        $args = array(
                            'location' => $location,
                            'container_class' => 'col footer_socket_menu socket_menu_wrapper',
                            'menu_class' => 'socket_menu footer_menu',
                            'container' => 'div',
                            'menu' => ''
                        );
                        wp_nav_menu($args);
                    }else{
                        if(is_user_logged_in() ){
                            echo '<p class="text_center"><a href="' . get_admin_url() . 'nav-menus.php">Add Menu</a></p>';
                        }
                    }
                     //*****************Menu Section end**/
                    ?>
                    </div>
                    <?php
                    /*************Menu Section start here********************
                    $location = 'footer';
                    if (has_nav_menu($location)) {
                        $args = array(
                            'location' => $location,
                            'container_class' => 'col footer_socket_menu socket_menu_wrapper',
                            'menu_class' => 'socket_menu footer_menu',
                            'container' => 'div',
                            'menu' => ''
                        );
                        wp_nav_menu($args);
                    }else{
                        if(is_user_logged_in() ){
                            echo '<p class="text_center"><a href="' . get_admin_url() . 'nav-menus.php">Add Menu</a></p>';
                        }
                    }
                     //*****************Menu Section end**/
                    ?>
                </div>
            </div>





        </div> <!-- end wrapper /.wrapper.main_body.full_layout -->

        
        
<?php get_footer( 'blank' ); ?>