<?php

/**
 * Template Name: Thankyou
 * Project is coded by Saiful Islam.
 * 
 * @author Saiful Islam <codersaiful@gmail.com>
 * 
 * @package LGS Optin Theme
 * 
 * @link http://fb.com/codersaiful Saiful Islam Facebook Profile link.
 */

global $theme_options; //For Theme Options of Redux
?>
<!DOCTYPE html>
<html lang="en">
    <head>
        <!-- Required meta tags -->
        <meta charset="utf-8">
        <meta http-equiv="X-UA-Compatible" content="IE=edge">
        <meta name="viewport" content="width=device-width, initial-scale=1">
        <link rel="shortcut icon" type="image/png" href="<?php echo $theme_options['header_favicon']['url']; ?>">
        


        <!-- Google Fonts: Lato : Regular-400, Bold-700, ExtraBold 800 and Black-900 -->
        <link href="https://fonts.googleapis.com/css?family=Open+Sans:400,700%7COswald:400,700%7CDroid+Sans:400,700%7CRoboto:400,700%7CLato:400,700%7CPT+Sans:400,700%7CSource+Sans+Pro:400,700%7CNoto+Sans:400,700%7CPT+Sans:400,700%7CUbuntu:400,700%7CBitter:400,700%7CPT+Serif:400,700%7CRokkitt:400,700%7CDroid+Serif:400,700%7CRaleway:400,700%7CInconsolata:400,700" rel="stylesheet" type="text/css">
        

        <?php wp_head(); ?>
        <!-- HTML5 shim and Respond.js for IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="https://oss.maxcdn.com/html5shiv/3.7.3/html5shiv.min.js"></script>
          <script src="https://oss.maxcdn.com/respond/1.4.2/respond.min.js"></script>
        <![endif]-->

    </head>
    <body class="thankyou">

        <div style="margin-bottom: 20px;" class="wrapper thank_wrapper">
            <div class="col clear thankyou_inside">
                <div class="col clear padding_40 thankyou_content">
                    <div class="row col-4 padding_top_10 padding_bottom_10 thankyou_section thank_top">
                        <div class="col text_center">
                            <h1 class="thank_title text_bold"><?php echo $theme_options['thank_title_1']; ?></h1>
                            <h1 class="text_large text_normal thank_subtitle"><?php echo $theme_options['thank_title_2']; ?></h1>
                        </div>
                    </div>


                    <div id="thank_you_page_content" class="col row clear clearfix thank_you_page_content">
                        <?php echo $theme_options['thank_you_page_content']; ?>
                        <!--
                        <h1 style="color: #3b8cce;"><strong>Step 1</strong>: Download The Report</h1>
                        <p>Click the button below to download the free report in PDF.</p>
                        <p><a href="#"><img class="aligncenter size-full wp-image-44" src="http://demo.lgstheme.com/wp-content/uploads/2017/08/download_button-1.jpg" alt="" width="347" height="59" /></a>  </p>
                        <h1 style="color: #3b8cce;">Step 2: Call for your free, no obligation consultation.</h1>
                        <p>After reading the free report you may still have questions.</p>
                        <p>And we want to help by offering you a free, no pressure consultation.</p>
                        <p>To take advantage of this free consultation contact us at the number below.</p>
                        <p><strong>Call us at: 402.555.1212</strong></p>     
                        -->
                    </div>


                    
                    
                    
                    <?php 
                    /*******************Disable this social part******************************
                    if( $theme_options['thank_footer_social'] ): ?>
                    <div class="row col-4 padding_top_30 padding_bottom_10 thankyou_section thank_bottom">
                        <div class="col text_center padding_top_30">
                            <h3>Share This Report With Others...</h3>
                            <ul class="social_share">
                                <li class="social_icon facebook"><a target="_blank" href="https://www.facebook.com/sharer/sharer.php?u=<?php echo urlencode( home_url( $wp->request ) ); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/facebook.png">Facebook</a></li>
                                <li class="social_icon twitter"><a target="_blank" href="https://twitter.com/home?status=<?php echo 'Share ' . urlencode( home_url( $wp->request ) ); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/twitter.png">Twitter</a></li>
                                <li class="social_icon google"><a target="_blank" href="https://plus.google.com/share?url=<?php echo urlencode( home_url( $wp->request ) ); ?>"><img src="<?php echo get_template_directory_uri(); ?>/images/google.png">Google+</a></li>
                            
                            
                            </ul>
                        </div>
                    </div>
                    <?php endif;
                    //***********Currently Disable this social **************/
                    ?>
                    
                </div>
            </div>

        </div>

        <div class="col row text_center padding_30_top_bottom color_white thank_you_copyright">
            <?php echo $theme_options['copyright_text']; ?>
            <!-- <p>Copyright 2017 - <a href="http://localhost/practice-wp">Your Website URL Goes Here</a> - All Rights Reserved</p>-->
        </div>


    </body>
</html>