<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class UpdateUsersRememberTokenNullable extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::table('users', function(Blueprint $table)
		{
			//
			DB::statement('ALTER TABLE `users` MODIFY `remember_token` VARCHAR(255) DEFAULT NULL;');
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::table('users', function(Blueprint $table)
		{
			//
			DB::statement('ALTER TABLE `users` MODIFY `remember_token` VARCHAR(255) NOT NULL;');
		});
	}

}
