<?php
include( dirname( __FILE__ ) . "/include/functions.php" );
include( dirname( __FILE__ ) . "/config.php" );
include( dirname( __FILE__ ) . "/include/sdk.php" );
include( dirname( __FILE__ ) . "/include/header.php" );
?>
<!-- Order Form Wrapper -->
<div class="orderWrapper">


	<div class="mainOrderBlock">

		<div class="otoHeadline">

			<div class="otoHeading"> Please Wait a Few Seconds - Processing Your Payment...</div>
			<div class="otoSubHeading">This Page Will Redirect To The Next Step Once Transaction Is Finished...</div>

			<i class="icon-spinner icon-spin icon-4x"></i>

			<div class="receipt">
				<strong><?php echo $name; ?></strong>
				<span class="otoPrice"><?php echo $currency; ?><?php echo $packages->$_POST['package']->price;
					echo( $packages->$_POST['package']->period == "Once-off" ? ' ' : " / " );
					echo $packages->$_POST['package']->period; ?></span>
			</div>

			<!-- <i class="icon-spinner icon-spin icon-4x"></i> -->
		</div>


		<div class="bigOrderFinePrint">
			* We are processing your payment with the Credit Card we have on file... <strong>DO NOT REFESH THIS PAGE!</strong> Once the transaction is done you will be emailed your receipt and redirected to the next step... *
		</div>

	</div>

</div>

<?php include( "include/footer.php" ); ?>

<script>

	var cookie_life = 20;
	var post = <?php echo json_encode($_POST); ?>;
	$(document).ready(function () {
		function setCookie(cname, cvalue, seconds) {
			var d = new Date();
			d.setTime(d.getTime() + (seconds * 1000));
			var expires = "expires=" + d.toUTCString();
			document.cookie = cname + "=" + cvalue + "; " + expires;
		}

		var data = {
			first_name: post.first_name,
			last_name: post.last_name,
			email: post.email,
			id: post.app,
			gateway: post.gateway,
			password: post.password,
			login_url: '<?php echo LOGIN_PAGE_URL; ?>',
			package: post.package
		};
		<?php if(isset( $_POST['stripeToken']) ) { ?>
		data.stripeToken = '<?php echo $_POST['stripeToken']; ?>';
		<?php } ?>
		$.ajax({
			url: "include/process.php",
			dataType: "json",
			type: "post",
			data: data
		}).done(function (response) {
			if (response.error) {
				setCookie("error", response.error_message, cookie_life);
				setCookie("inputs", post, cookie_life);
				window.location = "index.php";
				return;
			}

			var success_page = '<?php echo SUCCESS_PAGE_URL . "?" .  "app_id=" . urlencode($_POST['app']) . "&first_name=" . urlencode($_POST['first_name']) . "&last_name=" . urlencode($_POST['last_name']) . "&email=" . urlencode($_POST['email']); ?>';
			if (response.data.paypal) {
				var paypalFrom = $(response.data.paypal).css("display", "none").appendTo($(".orderWrapper"));
				$(paypalFrom).find("[name=return]").val(success_page);
				paypalFrom.submit();
			} else {
				window.location = success_page;
			}

		}).error(function () {
			setCookie("error", "Error processing transaction. Reason: Unknown error.", cookie_life);
			setCookie("inputs", post, cookie_life);
			window.location = "index.php";
		});
	})
</script>
</html>