<?php

class LSP_CookieBarController {
    public function __construct() {
        add_action('wp_footer', array($this, 'render'));
        add_action( 'wp_enqueue_scripts', array($this, 'wp_enqueue_scripts') );
    }

    public function wp_enqueue_scripts(){
        wp_enqueue_script('jquery');
    }

    public function render(){
        $settings = LSP_LegalSuitePro::instance()->settings;
        if($settings->enable_cookie_bar) {
            require_once LSP_VIEW_DIR . '/cookie_bar.php';
        }
    }
}