<div id="lsp_cookie_bar">
    <?php echo $settings->cookie_bar_text; ?>
    <button id="lsp_accept_cookie_bar">
        <?php echo esc_html($settings->cookie_bar_button); ?>
    </button>
</div>
<style>
    #lsp_cookie_bar{
        z-index: 100000;
        position: fixed;
        bottom:0px;
        left: 0px;
        width:100%;
        padding: 3px 20px 2px;
        text-align: center;
        -webkit-box-shadow:  0px 0px 5px black;
        -moz-box-shadow:  0px 0px 5px black;
        box-shadow:  0px 0px 5px black;
        background-color: <?php echo $settings->cookie_bar_background_color; ?>;
        color: <?php echo $settings->cookie_bar_text_color; ?>;
        display:none;
        direction: ltr;
        min-height: 20px;
        font-size: 12px;
    }
    #lsp_accept_cookie_bar{
        background-color: <?php echo $settings->cookie_bar_button_color; ?>;
        color: <?php echo $settings->cookie_bar_text_color; ?>;
        margin: 0 10px;
        line-height: 20px;
        border: none;
        padding: 2px 12px;
        border-radius: 3px;
        cursor: pointer;
        font-size: 12px;
        font-weight: bold;
    }
</style>
<script>
    jQuery(document).ready(function($) {
        if(!lsp_read_cookie("lsp_accepted_cookie_bar")){
            $("#lsp_cookie_bar").show();
        }
        function lsp_set_cookie(cookieName, cookieValue, nDays) {
            var today = new Date();
            var expire = new Date();
            if (nDays==null || nDays==0) nDays=1;
            expire.setTime(today.getTime() + 3600000*24*nDays);
            document.cookie = cookieName+"="+escape(cookieValue)+ ";expires="+expire.toGMTString()+"; path=/";
        }
        function lsp_read_cookie(cookieName) {
            var theCookie=" "+document.cookie;
            var ind=theCookie.indexOf(" "+cookieName+"=");
            if (ind==-1) ind=theCookie.indexOf(";"+cookieName+"=");
            if (ind==-1 || cookieName=="") return "";
            var ind1=theCookie.indexOf(";",ind+1);
            if (ind1==-1) ind1=theCookie.length;
            return unescape(theCookie.substring(ind+cookieName.length+2,ind1));
        }
        $('#lsp_accept_cookie_bar').click(function(){
            lsp_set_cookie('lsp_accepted_cookie_bar', true, 365);
            jQuery("#lsp_cookie_bar").hide();
        });
    });
</script>