<?php

/*
Plugin Name: Legal Suite Pro
Plugin URI: http://imincomelab.com
Description: Instantly create legal pages, FTC disclaimers & more
Version: 1.6.1
Author: Mark Hess & Michael Thomas
Author URI: http://imincomelab.com
License: Private
*/

if (version_compare(PHP_VERSION, '5.3.0') < 0) {
    function legal_suite_pro_php_too_old_admin_notice(){
        echo '<div class="error"><p>Legal Suite Pro requires PHP version 5.3 or higher to operate. Please contact your web host</p></div>';
    }
    add_action( 'admin_notices', 'legal_suite_pro_php_too_old_admin_notice' );
}else{
    require_once 'core.php';
    if(LSP_LegalSuitePro::instance()->license->has_updates()){
        Puc_v4_Factory::buildUpdateChecker(
            'http://wordpress.update.metatick.net/?action=get_metadata&slug=wplegalsuitepro',
            __FILE__,
            'wplegalsuitepro'
        );
    }
}

