<?php

/**
 * Variable collection for Theme Options Default value.
 * Few Default value set by Saiful
 * 
 * @author Saiful Islam <codersaiful@gmail.com>
 * 
 * @package Saiful Script
 * 
 * @link http://fb.com/codersaiful Saiful Islam Facebook Profile link.
 */

$codersaiful['cloud_root'] = 'http://localhost/project/Theme_Controller/';

//New added
$codersaiful['about_company'] = '<p>Quisque suscipit mauris vel augue rutrum lacinia. Ut malesuada est nec fringilla accumsan. Donec tristique, enim nec egestas interdum, arcu lorem pulvinar lorem, gravida convallis urna velit in enim</p>';
$codersaiful['header_title'] = 'Discover How Smart Local Businesses Are Using Proven _____________ Marketing Strategies to Get All the Leads and Customers They Can Handle... Without Spending a Fortune!';//'Discover How Smart Local Businesses Are Using Proven <strong>LinkedIn Marketing Strategies</strong> to Get All the Leads and Customers They Can Handle... Without Spending a Fortune!';
//$codersaiful['header_title'] = 'Your Benefit Driven Headline Goes Here';//'Discover How Smart Local Businesses Are Using Proven <strong>LinkedIn Marketing Strategies</strong> to Get All the Leads and Customers They Can Handle... Without Spending a Fortune!';
$codersaiful['header_sub_title'] = 'Download This Free Report and Checklist Now...';//'Download This Free Report and Checklist Now...';



//New added end here


//$codersaiful['thank_you_page_id'] = get_option('thank_you_page_id');
$codersaiful['thank_you_page_link'] = get_the_permalink(get_option('thank_you_page_id')); //thank_you_page_id
$codersaiful['home_page_link'] = get_the_permalink(get_option('home_page_id')); //thank_you_page_id
$codersaiful['news_page_link'] = get_the_permalink(get_option('news_page_id')); //thank_you_page_id
$codersaiful['admin_url'] = get_admin_url();
$codersaiful['logo'] = false;
$codersaiful['favicon'] = get_template_directory_uri() . '/images/favicon.png';
$codersaiful['header_right_text'] = 'Call for Immediate Assistance: 402.555.1212';
$codersaiful['youtube'] = '<iframe width="640" height="360" src="https://www.youtube.com/embed/K5j2GxKKGTs?rel=0&amp;controls=0&amp;showinfo=0" frameborder="0" allowfullscreen></iframe>';
$codersaiful['promo_title'] = 'Do NOT Hire a <span style="text-decoration: underline;">Local Niche Business</span> In Your City... Until You Read This!';
$codersaiful['promo_form_code'] = <<<EOF
<div class="row promotion_right_placeholder clear">
    <h2 class="text_center color_white placeholder_form_title">Get Instant Access Now...</h2>
    <p class="text_center color_white placeholder_form_subtitle">Simply enter you name and email and click the button below...</p>
    <div style="padding: 12px 0;" class="row text_center">
        <form class="placeholder_form color_black" action="" method="post">
            <input class="placeholder_input name_input" type="text" placeholder="Your Name...">												
            <input class="placeholder_input email_input" type="text" placeholder="Your Email...">
            <br class="clear">
            <a class="placeholder_button submit_input" href="#open_popup">YES! I Want This</a>
        </form>
    </div>                            
</div>
EOF;
$codersaiful['b_promo_form_code'] = <<<EOF
<h2 class="clear color_black text_center padding_bottom_10">Download Your Free Report</h2>
<div class="placeholder_bottom_form_wrapper col color_black">
    <div class="col_3 text_center">
        <input type="text" class="placeholder_bottom_input" placeholder="Your Name">
    </div>
    <div class="col_3 text_center">
        <input type="text" class="placeholder_bottom_input" placeholder="Your Email">
    </div>
    <div class="col_3 text_center">
        <a href="#popup" class="placeholder_button placeholder_bottom_button">Yes I Want It!</a>
    </div>

</div>
EOF;

//b_promo_form_code
$codersaiful['content_title'] = 'Download the FREE <span style="text-decoration: underline;">Local Niche Business</span> Hiring Guide Today!';
$codersaiful['content_image'] = get_template_directory_uri() . '/images/ecover-small.png';
$codersaiful['google_map'] = '<iframe src="https://www.google.com/maps/embed?pb=!1m18!1m12!1m3!1d3019.331488821975!2d-96.7077826845917!3d40.82068197932018!2m3!1f0!2f0!3f0!3m2!1i1024!2i768!4f13.1!3m3!1m2!1s0x8796bee1ebdb9a63%3A0xc9906c694a1847a7!2sOsborne+Field+at+Memorial+Stadium!5e0!3m2!1sen!2sus!4v1484343495267" width="400" height="300" frameborder="0" style="border:0" allowfullscreen=""></iframe>';
$codersaiful['map_tuts'] = get_template_directory_uri() . '/images/map_tuts.jpg';
$codersaiful['address_text'] = <<<EOF
<p>Address: One Memorial Stadium Drive, Lincoln, NE 68588</p>
<p>Phone: 402.555.1212</p>
<p>Email: info@yourdomain.com</p>      
EOF;
$codersaiful['home_copyright_text'] = '<p>Copyright 2017 - <a href="'. home_url() .'">Your Website URL Goes Here</a> - All Rights Reserved</p>';
$codersaiful['copyright_text'] = '<p>Copyright 2017 - All Rights Reserved</p>';

$codersaiful['thank_step1_content'] = 'Click the button below to download the free report in PDF.';
$codersaiful['thank_step2_content'] = <<<EOF
After reading the free report you may still have questions.<br>
And we want to help by offering you a free, no pressure consultation.<br>
To take advantage of this free consultation contact us at the number below.<br>
Call us at: 402.555.1212
EOF;







$codersaiful['content_content'] = <<<EOF
<div class="home_content_top">
<p>This report normally sells for $27.00 but is available to you free for a limited time right now. You’ll learn everything you need to know about how to find the right local niche business - including:</p>
</div>
<div class="home_content_middle">
<ul class="home_content_middle_list">
<li>Complete step-by-step guide to finding the perfect local niche business for you</li>
<li>20 Must-Know Questions you need answered before you choose your local niche business</li>
<li>Understanding the local niche business Agreement/Contract and what you should be aware of and look-out for</li>
<li>12-Point local niche business Checklist</li>
<li>The importance of using a professional local niche business and not a hobbiest</li>
<li>How to set your budget that you feel comfortable with</li>
<li>How to set the budget expectations with your local niche business so they don’t try to nickel and dime you to death</li>
<li>Understand the various styles of local niche business and choosing the right one for you</li>
<li>Tips on how to know and understand the kind of equipment your local niche business is using so you know you’re getting the biggest bang for your buck</li>
<li>All this and so much more!</li>
</ul>
</div>
<div class="home_content_bottom">
<p>This report and checklist was professionally written by an unbiased, professional writer that specializes in the local niche business industry. This free report will give you the confidence and guidance you need when not only searching for the best information but also the all-important questions to ask so you can avoid potential heartache and frustration. After you’ve had a chance to review the report one of our representatives may contact you to provide a complimentary, no obligation consultation.</p>
</div>
EOF;
$codersaiful['thank_you_page_content'] = <<<EOF
<h1 style="color: #000;">Step 1: Download The Report</h1>
<p>Click the button below to download the free report in PDF.</p>
<p><a href="#"><img class="aligncenter size-full wp-image-44" src="http://demo.lgstheme.com/wp-content/uploads/2017/08/download_button-1.jpg" alt="" width="347" height="59" /></a>  </p>
<h1 style="color: #000;">Step 2: Call for your free, no obligation consultation.</h1>
<p>After reading the free report you may still have questions.</p>
<p>And we want to help by offering you a free, no pressure consultation.</p>
<p>To take advantage of this free consultation contact us at the number below.</p>
<p><strong>Call us at: 402.555.1212</strong></p>  
EOF;
/*********************
$codersaiful['thank_you_page_content'] = <<<EOF
<div class="row col-4 padding_top_10 padding_bottom_20 thankyou_section thank_middle">
    <div class="col">
        <h1 class="text_normal"><b class="text_bold">Step 1:</b> Download The Report</h1>
        <div class="col-4"><p>Click the button below to download the free report in PDF.</p><br></div>
        <div class="col-4 text_center padding_10">
            <a class="thank_pdf_download_link" href="#no_download_file_available">Download</a>
        </div>
        <br>
    </div>
</div>
<div class="row col-4 padding_top_10 padding_bottom_10 thankyou_section thank_bottom">
    <h1 class="text_normal"><b class="text_bold">Step 2:</b> Call for your free, no obligation consultation.</h1>
    <div class="thank_middle_text_content">
        <p>After reading the free report you may still have questions.</p><p> And we want to help by offering you a free, no pressure consultation.</p><p> To take advantage of this free consultation contact us at the number below.</p><p> Call us at: 402.555.1212</p>                        </div>
</div>    
EOF;
//**************************************/





/**
 * Page Content Here
 */
$thank_you_page_id = get_option('thank_you_page_id');
$thank_you_page = get_post($thank_you_page_id);


$thank_you_page_section_arr = array(
    'title'     =>  $thank_you_page->post_title,
    'id'        =>  'page_section_' . $thank_you_page_id,
    'subsection'=>  true,
    'fields'    => array(
        array(
            'id' => 'page_fields_' . $thank_you_page_id,
            'type' => 'editor',
            'title' => $thank_you_page->post_title . ':- page Update',
            'full_width' => true,
            'default' => $thank_you_page->post_content,
            'args' => array(
                'teeny' => false,
            )
        )
    ),
);
