<?php

	class AudienceController extends BaseController {

		/*
		 *  Create New Audience
		 */
		public function Createaudience() {
			$userId = Auth::id();

			IF( Input::has( 'id' ) ) {
				// if audience already exists, update it
				IF ( !$audience = Audiences::firstOrNew( array( 'id' => Input::get( 'id' ), 'user_id' => $userId ) ) ) {
					return false;
				}
				$audience->user_id = $userId;
				$audience->name = Input::get( 'audiencename' );
				$audience->retargetingpixel = Input::get( 'retargetingpixel' );
				$audience->landingpage = Input::get( 'landingpageurl' );
				$audience->save();
			} ELSE {
				// else create a new one
				$audience = Audiences::create( array(
						'user_id' => $userId,
						'name' => Input::get( 'audiencename' ),
						'retargetingpixel' => Input::get( 'retargetingpixel' ),
						'landingpage' => Input::get( 'landingpageurl' ),
						'retargetingurl' => $this->randString(),
						'countclick' => 0,
					)
				);
			}

			return !empty( $audience ) ? Redirect::to( '/' ) : false;
		}

		/*
		 * Audience Delete
		 */
		public function AudienceDelete( $id ) {
			$getAudiences = Audiences::where( 'id', $id )->where( 'user_id', Auth::id() );
			if( $getAudiences ) {
				$getAudiences->delete();
			}

			return Redirect::to( '/' );
		}

		/*
		 * Open Landing Page With Redirecting URL And Count Click For URL Open
		 */
		public function goToURL( $url ) {
			$URL = Audiences::where( 'retargetingurl', $url )->first();
			IF( $URL ) {
				# Count Click For URL Open
				$count           = $URL->countclick + 1;
				$URL->countclick = $count;
				$URL->save();

				# Redirect To Landing Page
				return View::make( 'layouts.retargeting' )->with( 'data', $URL )->with( "version", $this->rebrander->getVersion() );
			}

			return "URL not found";
		}

		public function randString( $length = 5 ) {
			$chars = "abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ0123456789";

			return substr( str_shuffle( $chars ), 0, $length );
		}

		public function getaudience() {
			if( Input::has( 'id' ) ) {
				return $get = Audiences::find( Input::get( 'id' ) );
			}
		}
	}

