<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class Audience extends Migration {

	/**
	 * Run the migrations.
	 *
	 * @return void
	 */
	public function up()
	{
		Schema::create('audience', function($table)
		{
			$table->increments('id');
			$table->integer('user_id');
			$table->string('name');
			$table->string('landingpage');
			$table->string('retargetingurl');
			$table->text('retargetingpixel');
			$table->string('countclick');
			$table->timestamps();
		});
	}

	/**
	 * Reverse the migrations.
	 *
	 * @return void
	 */
	public function down()
	{
		Schema::drop('audience');
	}

}
