<!DOCTYPE html>
<html>
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>{{ $name }}</title>
    <!-- Core CSS - Include with every page -->
    <link href="{{URL::to('assets/css/bootstrap.min.css')}}" rel="stylesheet">
    <link href="{{URL::to('assets/font-awesome/css/font-awesome.css')}}" rel="stylesheet">
    <link href="{{URL::to('assets/install/css/jquery.rtnotify.css')}}" rel="stylesheet" type="text/css">
    <!-- Page-Level Plugin CSS - Dashboard -->
    <link href="{{URL::to('assets/css/plugins/morris/morris-0.4.3.min.css')}}" rel="stylesheet">
    <link href="{{URL::to('assets/css/plugins/timeline/timeline.css')}}" rel="stylesheet">
    <!-- SB Admin CSS - Include with every page -->
    <link href="{{URL::to('assets/css/sb-admin.css')}}" rel="stylesheet">
	<style>
	#page-wrapper {
		border-left: 1px solid #e7e7e7;
		margin: 0;
		min-height: 500px;
		padding: 0 30px;
		position: inherit;
	}
	</style>
	<!-- Core Scripts - Include with every page -->
    <script src="{{URL::to('assets/js/jquery-1.10.2.js')}}"></script>
</head>
<body>
    @if(isset($update_notice) && $update_notice)
        {{ $update_notice }}
    @endif
    <div id="wrapper">
		@if(Auth::check())
			@include('includes.nav')
		@endif	
        <div id="page-wrapper">
            @yield('content')
            <br>
        </div>
        <!-- /#page-wrapper -->

    <footer><p style="">Version {{ $version }} &copy; {{date('Y')}} {{ $name }} - {{ $footer }}</p></footer>
    </div>
    
    <!-- /#wrapper -->
    <!-- Core Scripts - Include with every page -->
    
    <script src="{{URL::to('assets/install/js/jquery.rtnotify.js')}}" type="text/javascript"></script>
    <script src="{{URL::to('assets/js/bootstrap.min.js')}}"></script>
    <script src="{{URL::to('assets/js/custom.js')}}"></script>
    @include('includes.notifications')
</body>
</html>
