<!DOCTYPE html>
<!--[if lt IE 7]> <html class="no-js lt-ie9 lt-ie8 lt-ie7"> <![endif]-->
<!--[if IE 7]> <html class="no-js lt-ie9 lt-ie8"> <![endif]-->
<!--[if IE 8]> <html class="no-js lt-ie9"> <![endif]-->
<!--[if gt IE 8]><!-->
<html class='no-js'>
  <!--<![endif]-->
  <head>
    <meta charset='utf-8'>
    <meta content='IE=edge' http-equiv='X-UA-Compatible'>
    <title>PinPoint :: Installation</title>
    <meta content='' name='description'>
    <meta content='' name='author'>
    <meta content='width=device-width, initial-scale=1.0' name='viewport'>
    <link href="{{URL::to('assets/install/stylesheets/screen.css')}}" rel="stylesheet" type="text/css" /><link href="http://maxcdn.bootstrapcdn.com/font-awesome/4.2.0/css/font-awesome.min.css" rel="stylesheet" type="text/css" />
    <link href="{{URL::to('assets/install/stylesheets/styles.css')}}" rel="stylesheet" type="text/css" />
    <link href="{{URL::to('assets/install/stylesheets/reveal.css')}}" rel="stylesheet" type="text/css" />
    <script src="http://cdnjs.cloudflare.com/ajax/libs/modernizr/2.6.2/modernizr.min.js" type="text/javascript"></script>
  </head>
  <body class='dashboard'>
    <!--[if lt IE 8]>
      <p class='browsehappy'>
        You are using an <strong>outdated</strong> browser. Please <a href="http://browsehappy.com/">upgrade your browser</a> to improve your experience.
      </p>
    <![endif]-->
    <div class='container'>
      <header id='header'>
        <div class='logo'>
          <img src='{{URL::to("assets/install/images/logo.png")}}'>
        </div>
      </header>
      <div id='main-content' role='main'>
        <div class='rb--site-container'>
          <div class='rb--site-title'>
            <div class='title-left'>
              <i class='fa fa-cog'></i>
            </div>
            <div class='title-right'>
              <h2>Configuration</h2>
            </div>
            <div class='rb-page-control'>
              <a class='btn primary' href="mailto:{{ $support_email }}">
                <i class='fa fa-user'></i>
                Need Help?
              </a>
            </div>
          </div>
         @yield('content')
         </div>
      </div>
    </div>
    @include('includes.notifications')
  </body>
</html>
