<div class='rb--form-container'>
    <div class="error">
        @include('errors.validation')
    </div>
    {{ Form::open( array('url' => URL::to('install/db/settings'), 'method' => 'post', 'role' => 'form') ) }}
        <div class='section'>
            <h3>License Key:</h3>
        </div>
        <div class='inner-wrap'>
            {{ Form::text('license_key', Input::old('license_key', ''), ["required"] ) }}
        </div>
        <div class='section'>
            <h3>Database Name:</h3>
        </div>
        <div class='inner-wrap'>
            {{ Form::text('db_name', Input::old('db_name', ''), ["required"] ) }}
        </div>
        <div class='section'>
            <h3>Database User:</h3>
        </div>
        <div class='inner-wrap'>
            {{ Form::text('db_user', Input::old('db_user', ''), ["required"] ) }}
        </div>
        <div class='section'>
            <h3>Database Password:</h3>
        </div>
        <div class='inner-wrap'>
            {{ Form::password('db_password','' ) }}
        </div>
        <div class='section'>
            <h3>Host:</h3>
        </div>
        <div class='inner-wrap'>
            {{ Form::text('host', Input::old('host', 'localhost'), ["placeholder" => "localhost", "required"] ) }}
        </div>
        <div class='section'>
            <h3>Email:</h3>
        </div>
        <div class='inner-wrap'>
            {{ Form::text('email', Input::old('email', ''), ["required"] ) }}
        </div>
        <div class='section'>
            <h3>User Password:</h3>
        </div>
        <div class='inner-wrap'>
            {{ Form::password('user_password' ) }}
        </div>
        <div class='section'>
            <h3>Confirm Password:</h3>
        </div>
        <div class='inner-wrap'>
            {{ Form::password('confirm_password' ) }}
        </div>
        <div class='button-section'>
            <input name='Proceed' type='submit' value='Next'>
        </div>
    {{ Form::close() }}
</div>
    
