<?php
include( dirname( __FILE__ ) . "/include/functions.php" );
include( dirname( __FILE__ ) . "/config.php" );
include( dirname( __FILE__ ) . "/include/sdk.php" );
?>
<!doctype html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Success</title>

	<link href='//fonts.googleapis.com/css?family=Lato:400,700' rel='stylesheet' type='text/css'>
	<link href="//netdna.bootstrapcdn.com/font-awesome/3.2.1/css/font-awesome.css" rel="stylesheet">
	<link href="css/gumby.css" rel="stylesheet" type="text/css"/>
	<link href="css/dkorder.css" rel="stylesheet" type="text/css"/>
	<link href="css/oto.css" rel="stylesheet" type="text/css"/>
	<link href="css/branding_wi.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Top Area Wrapper -->
<div class="topWrapper">
	<div class="logoBranding">
		<!-- <img src="../images/wilogo.png" alt=""> -->
	</div>
</div>

<!-- Headline Area -->
<div class="topHeadline">
	<div class="productLogo">
		<img src="<?php echo $logo; ?>" alt="">
	</div>
	<br clear="both"/>
</div>

<div class="orderWrapper">


	<div class="mainOrderBlock">

		<div class="otoHeadline">

			<div class="otoHeading">Your payment was successful</div>
			<div class="otoSubHeading">This Page Will Redirect To The Login Page</div>
			<div class="otoSubHeading">If you are not redirected please click <a href="<?php echo LOGIN_PAGE_URL; ?>">Login</a></div>

			<i class="icon-spinner icon-spin icon-4x"></i>

			<!-- <i class="icon-spinner icon-spin icon-4x"></i> -->
		</div>


	</div>

</div>


<?php include( dirname( __FILE__ ) . "/include/footer.php" ); ?>
<script>

	var cookie_life = 20;
	var post = '<?php echo json_encode($_POST); ?>';
	$(document).ready(function () {
		function setCookie(cname, cvalue, seconds) {
			var d = new Date();
			d.setTime(d.getTime() + (seconds * 1000));
			var expires = "expires=" + d.toUTCString();
			document.cookie = cname + "=" + cvalue + "; " + expires;
		}

		function redirectLoginPage(timeout) {
			setTimeout(function () {
				window.location = '<?php echo LOGIN_PAGE_URL; ?>';
			}, timeout);
		}

		var data = {
			first_name: '<?php echo urldecode($_GET['first_name']); ?>',
			last_name: '<?php echo urldecode($_GET['last_name']); ?>',
			email: '<?php echo urldecode($_GET['email']); ?>',
			id: <?php echo urldecode($_GET['app_id']); ?>
		}
		$.ajax({
			url: "include/getarform.php",
			dataType: "json",
			type: "post",
			data: data
		}).done(function (response) {
			if (response.error) {
				setCookie("error", response.error_message, cookie_life);
				setCookie("inputs", post, cookie_life);
				window.location = "index.php";
				return;
			}

			if (response.data.auto_responder) {
				$("<iframe>").attr({
					id: "auto_responder_iframe",
					name: "auto_responder_iframe"
				}).css({display: "none"}).appendTo($(".orderWrapper")).load(function () {
					redirectLoginPage(5);
				});
				var arForm = $(response.data.auto_responder).attr({target: "auto_responder_iframe"}).css("display", "none").appendTo($(".orderWrapper"));
				arForm.submit();
			} else {
				redirectLoginPage(5);
			}

		}).error(function () {
			setCookie("error", "Error processing transaction. Reason: Unknown error.", cookie_life);
			setCookie("inputs", post, cookie_life);
			window.location = "index.php";
		});
	})
</script>
<html>