<?php

require_once(dirname(__FILE__) . "/../checkout/include/functions.php");
require_once(dirname(__FILE__) . "/../checkout/include/sdk.php");

$trainingFiles = (array)$rebranderSDK->getTrainingFiles();
$trainingVideos = $rebranderSDK->getTrainingVideos();
$trainingHTML = $rebranderSDK->getTrainingHTML();

if (isset($_GET['file'])) {
	foreach ($trainingFiles as $key => $file) {

		if ($key == $_GET['file']) {

			preg_match("%file/(.*)$%", $file->file, $filename);

			header("Content-Type: application/octet-stream");
			header('Content-Disposition: attachment; filename="' . $filename[1] . '"');
			echo file_get_contents($file->file);
			die();
		}
	}
	die("File not Found!");

}

?>
<!doctype html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Training</title>

	<link href='//fonts.googleapis.com/css?family=Lato:400,700' rel='stylesheet' type='text/css'>
	<link href="//netdna.bootstrapcdn.com/font-awesome/3.2.1/css/font-awesome.css" rel="stylesheet">
	<link href="../checkout/css/gumby.css" rel="stylesheet" type="text/css"/>
	<link href="../checkout/css/dkorder.css" rel="stylesheet" type="text/css"/>
	<link href="../checkout/css/oto.css" rel="stylesheet" type="text/css"/>
	<link href="../checkout/css/branding_wi.css" rel="stylesheet" type="text/css"/>
</head>
<body>
<!-- Top Area Wrapper -->
<div class="topWrapper">
	<div class="logoBranding">
		<!-- <img src="../images/wilogo.png" alt=""> -->
	</div>
</div>

<!-- Headline Area -->
<div class="topHeadline">
	<div class="productLogo">
		<img src="<?php echo $logo; ?>" alt="">
	</div>
	<br clear="both"/>
</div>

<div class="orderWrapper">


	<div class="mainOrderBlock">
		<div class="otoHeadline">
			<div class="otoHeading" style="padding-bottom: 20px;"><?php echo $name; ?> Training</div>
		</div>
		<!-- HTML -->
		<?php echo $trainingHTML; ?>

		<!-- /HTML -->
		<?php if (!empty($trainingVideos)) { ?>
			<h3>Videos</h3>
			<div style="text-align: center;">
				<?php foreach ($trainingVideos as $video) { ?>
					<h4><?php echo $video->title; ?></h4>
					<?php
					preg_match( "%v=(.*)|youtu.be/(.*)%", $video->url, $url );
					$embed = "https://www.youtube.com/embed/".( empty( $url[ 1 ]) ? $url[ 2 ] : $url[ 1 ] );
					?>
					<iframe width="853" height="480" src="<?php echo $embed; ?>" frameborder="0" allowfullscreen style="margin: 0 0 20px;"></iframe>
				<?php
				} ?>
			</div>
			<!-- Videos -->
		<?php }
		if (!empty($trainingFiles)) { ?>
            <h3>Downloads</h3>

        <?php
			foreach ($trainingFiles as $key => $file) {
				preg_match("%file/(.*)$%", $file->file, $filename);
				?>
            <p></p><a href="<?php echo $_SERVER['PHP_SELF']; ?>?file=<?php echo $key; ?>"><?php echo $filename[1]; ?></a></p>
        <?php } ?>



            <!-- /Files -->
        <?php } ?>
	</div>

</div>


<?php include(dirname(__FILE__) . "/../checkout/include/footer.php"); ?>

<html>